This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 633449 - [6.1 FEAT] makedumpfile support - convert Linux on z dumps to ELF - crash part
[6.1 FEAT] makedumpfile support - convert Linux on z dumps to ELF - crash part
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: crash (Show other bugs)
6.1
s390x All
high Severity high
: beta
: 6.1
Assigned To: Dave Anderson
Kernel Dump QE
: FutureFeature
Depends On: 649070
Blocks: 538808 633869 580566
  Show dependency treegraph
 
Reported: 2010-09-13 15:11 EDT by IBM Bug Proxy
Modified: 2011-05-19 09:04 EDT (History)
7 users (show)

See Also:
Fixed In Version: crash-5.1.1-1.el6
Doc Type: Enhancement
Doc Text:
The crash utility has been updated to provide support for dump files created on the IBM System z architecture.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:04:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 67047 None None None Never

  None (edit)
Description IBM Bug Proxy 2010-09-13 15:11:16 EDT
1. Feature Overview:
Feature Id: [67047]
a. Name of Feature: [6.1 FEAT] makedumpfile support - convert Linux on z dumps to ELF - crash part
b. Feature Description
This feature allows to convert s390 format dumps into ELF format dumps. This is needed in order to
be able to use makedumpfile tool. This feature has different parts needed and tracked in different
feature depending on the affected component (kernel, binutils, crash, s390-tools). The port of
makedumfile to s390 is tracked by a different feature. This concrete feature provides the crash
part: For the "crash" tool s390 backend support for the ELF core dump format is added.


2. Feature Details:
Sponsor: LTC zSeries BOE
Architectures:  zSeries - 64 native, 

Arch Specificity: purely arch specific code
Affects Kernel Modules: Field does not exist
Delivery Mechanism: Backport
Category: other
Request Type: Package - Feature from IBM
d. Upstream Acceptance: Field does not exist
Sponsor Priority P1
f. Severity: ship issue
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target:---

3. Business Case
The memory footprints of Linux on System z systems grow from year to year and therefore also system
dumps become sometimes so large that it is hard to work with them. For example transferring a 50 GB
dump over the network to a service organization can take a very long time. The "makedumpfile" open
source tool is used to compress system dumps by filtering out memory pages like free, user space or
cache pages that are not necessary for dump analysis. This feature will improve and remove possible
future restrictions in service, by enabling the infrastructure needed to be able to use makedumfile
on Linux on System z. 

4. Primary contact at Red Hat:
John Jarvis jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com
Comment 2 Dave Anderson 2010-09-13 15:28:53 EDT
I am presuming that IBM will be forwarding a patch for the crash utility
for this feature given that they have always done (and maintain) the 
s390/s390x pieces of the crash utility.

Is that correct?
Comment 3 Gonzalo Muelas Serrano 2010-09-14 06:03:40 EDT
Hi Dave,
yes, the needed changes in s390/s390x backend in crash were already submitted by Michael Holzheu (IBM) and are accepted in crash 5.0.1.

See http://people.redhat.com/anderson/crash.changelog.html:
         - Preparation for future s390x ELF dumpfile format.
           (holzheu@linux.vnet.ibm.com)


Do you plan to update crash in RHEL 6.1 to at least version 5.0.1 or would you need a backport?
Comment 4 Dave Anderson 2010-09-14 10:52:54 EDT
> yes, the needed changes in s390/s390x backend in crash were
> already submitted by Michael Holzheu (IBM) and are accepted
> in crash 5.0.1.

Ah yes, OK.  Actually I plan to file a RHEL6.1 crash BZ to request
an upstream rebase to whatever upstream version is current, so that
would pull in Michael's patch (if that is all that is needed).  
Presuming that BZ/rebase-request will be accepted, then I would not
need a backport.

When I file that BZ, I'll link it to this BZ as a dependency.

Thanks,
  Dave
Comment 5 Gonzalo Muelas Serrano 2010-09-14 11:48:56 EDT
Hi Dave,
sounds good to IBM System z.
From what I am aware of (IBM System z), this is the only feature request with a dependency on crash >= 5.0.1 for RHEL 6.1.

FYI - For this feature and its related features, I created a Feature Tracker (633869) which collects all the pieces.

With the presumption that crash will be rebased to a version >= 5.0.1, I will let Michael know that for now he does not need to provide a backport.

Thanks for the info!
Gonzalo.
Comment 6 IBM Bug Proxy 2010-10-04 11:17:06 EDT
------- Comment From rsisk@us.ibm.com 2010-10-04 10:36 EDT-------
Code Upstream Status: Accepted
Comment 7 Dave Anderson 2010-11-03 09:17:16 EDT
> > yes, the needed changes in s390/s390x backend in crash were
> > already submitted by Michael Holzheu (IBM) and are accepted
> > in crash 5.0.1.
>
> Ah yes, OK.  Actually I plan to file a RHEL6.1 crash BZ to request
> an upstream rebase to whatever upstream version is current, so that
> would pull in Michael's patch (if that is all that is needed).  
> Presuming that BZ/rebase-request will be accepted, then I would not
> need a backport.
>
> When I file that BZ, I'll link it to this BZ as a dependency.
>
> Thanks,
>   Dave

Depends on:

  Bug 649070 - Rebase request for crash utility RHEL6.1 errata
  https://bugzilla.redhat.com/show_bug.cgi?id=649070
Comment 8 Dave Anderson 2010-11-18 14:10:26 EST
I was able to actually run the current upstream crash version 
against an s390x ELF vmcore provided by Mahesh Salgaonkar.  It
works fine, although the output of the "help -n" diagnostic command
that dumps the ELF header bumps into a few field contents that had
never been seen before, and therefore are not translated:

crash> help -n | grep unsupported
              e_machine: 22 (unsupported)
crash> help -n | grep n_type
                 n_type: 3 (NT_PRPSINFO)
                 n_type: 1 (NT_PRSTATUS)
                 n_type: 2 (?)
                 n_type: 301 (?)
                 n_type: 302 (?)
                 n_type: 303 (?)
                 n_type: 304 (?)
                 n_type: 305 (?)
                 n_type: 1 (NT_PRSTATUS)
                 n_type: 2 (?)
                 n_type: 301 (?)
                 n_type: 302 (?)
                 n_type: 303 (?)
                 n_type: 304 (?)
                 n_type: 305 (?)
                 n_type: 1 (NT_PRSTATUS)
                 n_type: 2 (?)
                 n_type: 301 (?)
                 n_type: 302 (?)
                 n_type: 303 (?)
                 n_type: 304 (?)
                 n_type: 305 (?)
crash> 

I'll fix that in the next upstream release.
Comment 10 John Jarvis 2010-12-03 09:04:20 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 11 IBM Bug Proxy 2010-12-07 11:33:31 EST
------- Comment From mgrf@de.ibm.com 2010-12-07 11:28 EDT-------
per previous comments
this will be handled via a re-base to a crash version >= 5.0.1

Therefore no backport to be submitted
Comment 15 IBM Bug Proxy 2011-04-11 12:02:35 EDT
------- Comment From mgrf@de.ibm.com 2011-04-11 11:55 EDT-------
This is verified on R 6.1 snapshots - set to verified  Thx
Comment 16 Jaromir Hradilek 2011-04-27 15:21:24 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The crash utility has been updated to provide support for dump files created on the IBM System z architecture.
Comment 17 errata-xmlrpc 2011-05-19 09:04:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0561.html

Note You need to log in before you can comment on or make changes to this bug.